# Global Initiative XML Sharing

Minimal website used to share XML files from [Global
Initiative](https://globalinitiative.net/). This service is documented on [our
wiki](https://wiki.e-durable.ch/e/en/customers/global-initiative/xml-sharing-website).

This website is based on [Nyll](https://git.sr.ht/~sparrowhawk/nyll) and
depends on:

* `sh`
* `make`
* `coreutils` (`basename`, `md5sum` and `date`)

You can generate the output with `make` and deploy with `make deploy`.

## Replace the currently published file

Add the new file as `data/activities-YYYYMMDD.xml` where `YYYYMMDD` is today's
date and run `make deploy`. **DO NOT FORGET TO COMMIT YOUR CHANGES!**
